diff options
author | Daniel Baumann <daniel.baumann@progress-linux.org> | 2024-05-06 02:22:06 +0000 |
---|---|---|
committer | Daniel Baumann <daniel.baumann@progress-linux.org> | 2024-05-06 02:22:06 +0000 |
commit | 741c1ef7a4f2ac316ad6e557ddbe03023413478d (patch) | |
tree | 38890f681daa26c57e865b4feca10d0ca53e1046 /tests/usertools/01/26_useradd_UID_-1.test | |
parent | Initial commit. (diff) | |
download | shadow-741c1ef7a4f2ac316ad6e557ddbe03023413478d.tar.xz shadow-741c1ef7a4f2ac316ad6e557ddbe03023413478d.zip |
Adding upstream version 1:4.5.upstream/1%4.5upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'tests/usertools/01/26_useradd_UID_-1.test')
-rwxr-xr-x | tests/usertools/01/26_useradd_UID_-1.test | 52 |
1 files changed, 52 insertions, 0 deletions
diff --git a/tests/usertools/01/26_useradd_UID_-1.test b/tests/usertools/01/26_useradd_UID_-1.test new file mode 100755 index 0000000..18bedb5 --- /dev/null +++ b/tests/usertools/01/26_useradd_UID_-1.test @@ -0,0 +1,52 @@ +#!/bin/sh + +set -e + +cd $(dirname $0) + +. ../../common/config.sh +. ../../common/log.sh + +log_start "$0" "Add a new user" + +save_config + +# restore the files on exit +trap 'log_status "$0" "FAILURE"; restore_config' 0 + +change_config + +echo -n "Create user test1 with UID 4294967295 (useradd -u 4294967295 test1)..." +msg=$(useradd -u 4294967295 test1 2>&1) && exit 1 || { + status=$? +} +echo "OK" +echo "useradd returned status $status," +echo "and displayed \"$msg\"" +echo -n "The returned status should be 3..." +test "$status" = "3" +echo "OK" +echo -n "Test the error message (should be \"useradd: invalid user ID '4294967295'\")..." +test "$msg" = "useradd: invalid user ID '4294967295'" +echo "OK" + +echo -n "Check the passwd file..." +../../common/compare_file.pl 26_useradd_UID_-1/passwd /etc/passwd +echo "OK" +echo -n "Check the group file..." +../../common/compare_file.pl 26_useradd_UID_-1/group /etc/group +echo "OK" +echo -n "Check the shadow file..." +../../common/compare_file.pl 26_useradd_UID_-1/shadow /etc/shadow +echo "OK" +echo -n "Check the gshadow file..." +../../common/compare_file.pl 26_useradd_UID_-1/gshadow /etc/gshadow +echo "OK" +echo -n "no homedir..." +test -d /home/test1 && exit 1 || true +echo "OK" + +log_status "$0" "SUCCESS" +restore_config +trap '' 0 + |